<template>
  <path
    d="m214.05 324.55c-14.4-20-25.667-58.666-27-78l-68.5-29.5-28.5 107.5z"
    :fill="props.color"
    stroke="#000"
    stroke-width="4"
  />
  <path
    d="m126.18 220.34a59 54 0 0 0 57.869 43.713 59 54 0 0 0 5.6875-0.30274c-1.4262-6.5212-2.36-12.447-2.6875-17.197l-60.869-26.213z"
    style="mix-blend-mode: multiply"
  />
  <path
    d="m243.94 150.96-3.894 0.915 2e-3 9e-3 2e-3 8e-3zm-0.167-0.694-3.89 0.932 2e-3 9e-3 3e-3 9e-3zm-16.397-68.437-3.892 0.922 2e-3 0.01zm-0.048-0.203-3.89 0.932zm-0.049-0.203-3.89 0.932 3e-3 0.01zm-0.073-0.304 3.89-0.932-0.932-3.888-3.888 0.93zm-1e-3 0-3.884 0.958 0.951 3.857 3.863-0.924-0.93-3.89zm-93.569-56.967-0.932-3.89zm-57.594 93.185 0.934 3.889 3.862-0.927-0.9-3.869zm-2e-3 0-0.934-3.889-3.887 0.933 0.931 3.888zm16.992 70.918-3.89 0.932 0.932 3.891 3.891-0.934zm0.013-3e-3 3.872-1.004-0.985-3.803-3.82 0.917zm93.338 56.053-0.932-3.89zm57.802-92.265-0.932-3.89-3.819 0.915 0.845 3.835zm0.013-3e-3 0.931 3.89 3.89-0.932-0.932-3.89zm3.636-1.991-0.087-0.365-7.78 1.864 0.079 0.33zm-0.087-0.365-0.088-0.364-7.771 1.899 0.079 0.329zm-24.261-66.92 16.397 68.437 7.78-1.864-16.397-68.437zm7.783-1.854a57.53 57.53 0 0 1-0.051-0.213l-7.78 1.864 0.046 0.194zm-0.051-0.213-0.052-0.214-7.774 1.885 0.046 0.193zm-7.902 1.357 0.073 0.304 7.78-1.864-0.073-0.304zm4.819 2.959h2e-3l-1.861-7.781h-1e-3l1.86 7.78zm2.953-4.848c-10.744-43.578-54.67-70.374-98.384-59.9l1.864 7.78c39.434-9.448 79.061 14.724 88.753 54.035zm-98.384-59.9c-43.714 10.474-70.729 54.265-60.558 97.981l7.792-1.813c-9.175-39.435 15.195-78.94 54.63-88.388zm-55.73 100.96 2e-3 -1e-3 -1.868-7.779-2e-3 1e-3zm19.947 66.096-16.99-70.918-7.78 1.864 16.99 70.918zm-4.81-2.961-0.013 3e-3 1.867 7.779 0.014-3e-3 -1.867-7.779zm-2.938 4.893c11.149 43.012 54.75 69.336 98.142 58.94l-1.864-7.78c-39.143 9.379-78.477-14.369-88.534-53.167zm98.142 58.94c43.392-10.396 70.33-53.621 60.777-97.015l-7.813 1.72c8.617 39.143-15.684 78.137-54.828 87.515zm55.951-100.05-0.013 3e-3 1.864 7.78 0.012-3e-3zm-3.216 3.745 0.258 1.077 7.779-1.864-0.257-1.077z"
  />
  <path
    d="m243.94 150.96-0.083-0.347-0.084-0.347-16.397-68.437-0.048-0.203-0.049-0.203-0.073-0.304h-1e-3c-10.218-41.444-51.995-66.928-93.569-56.967-41.574 9.96-67.267 51.61-57.594 93.185h-2e-3l16.992 70.918 0.013-3e-3c10.603 40.904 52.07 65.941 93.338 56.053 41.268-9.887 66.887-50.997 57.802-92.265l0.013-3e-3z"
    clip-rule="evenodd"
    :fill="props.color"
    fill-rule="evenodd"
    stroke="#000"
    stroke-width="4"
  />
</template>

<script lang="ts" setup>
const props = defineProps<{
  color: string
}>()
</script>
